#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xafe0b160, "module_layout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5281ba7f, "kmalloc_caches" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1fdc7df2, "_mcount" },
	{ 0x4ddd0984, "driver_register" },
	{ 0x273dd018, "param_ops_int" },
	{ 0x67480317, "dvb_dmx_init" },
	{ 0x43612a33, "dvb_unregister_adapter" },
	{ 0x98cf60b3, "strlen" },
	{ 0x6dc50487, "fw_csr_string" },
	{ 0xc8419de1, "dvb_register_frontend" },
	{ 0x8ac3ccaa, "dvb_register_device" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56373be5, "fw_bus_type" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x79939301, "dvb_unregister_frontend" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0xdd64e639, "strscpy" },
	{ 0xf63fedb1, "dvb_net_release" },
	{ 0x1f4c14f6, "fw_iso_context_start" },
	{ 0x9dc8e371, "fw_iso_context_queue_flush" },
	{ 0xae579082, "input_event" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xdcb764ad, "memset" },
	{ 0xf0011d68, "param_ops_short" },
	{ 0xe8f17cfc, "dvb_dmxdev_release" },
	{ 0xb5136dc7, "mutex_lock_interruptible" },
	{ 0x977f511b, "__mutex_init" },
	{ 0xc5850110, "printk" },
	{ 0x3c6e91c1, "dvb_net_init" },
	{ 0xc6aefd1e, "driver_unregister" },
	{ 0x97e1d1f4, "dvb_generic_release" },
	{ 0x5a921311, "strncmp" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0xebabab5b, "noop_llseek" },
	{ 0xedb6c891, "__ll_sc_arch_atomic64_or" },
	{ 0xf4cc9d5f, "fw_iso_buffer_destroy" },
	{ 0x89853b91, "dvb_unregister_device" },
	{ 0x5053907a, "_dev_err" },
	{ 0x7b0d51ce, "dvb_dmx_release" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x28b1a488, "__ll_sc___cmpxchg_case_acq_32" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x6de52ce0, "_dev_info" },
	{ 0x1595fccf, "fw_iso_context_queue" },
	{ 0x64ec3ac5, "dvb_generic_ioctl" },
	{ 0xdcf60586, "dvb_dmx_swfilter_packets" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x4e5af166, "input_register_device" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x2cd74143, "dvb_generic_open" },
	{ 0xf3d61c80, "input_free_device" },
	{ 0x6b2f9d27, "fw_core_add_address_handler" },
	{ 0x7ffa8b91, "dvb_register_adapter" },
	{ 0x66264691, "kmem_cache_alloc_trace" },
	{ 0xfdad36db, "__dynamic_dev_dbg" },
	{ 0x3eeb2322, "__wake_up" },
	{ 0x69033465, "fw_iso_context_stop" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb6f855f1, "fw_core_remove_address_handler" },
	{ 0x37a0cba, "kfree" },
	{ 0x2173c33b, "fw_iso_context_create" },
	{ 0x4829a47e, "memcpy" },
	{ 0x758b7e63, "input_unregister_device" },
	{ 0x4df02057, "crc32_be" },
	{ 0xa97de95, "param_array_ops" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xcd419716, "fw_iso_buffer_init" },
	{ 0x79348421, "fw_run_transaction" },
	{ 0xbfe19a86, "fw_iso_context_destroy" },
	{ 0x4013a797, "dvb_dmxdev_init" },
	{ 0x63d91d03, "input_allocate_device" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=dvb-core,firewire-core";

MODULE_ALIAS("ieee1394:ven00001287mo00000024sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000025sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000026sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000034sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000035sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000036sp0000A02Dver00010001*");

MODULE_INFO(srcversion, "D0B1DBBD2F0F175A4E157E7");

MODULE_INFO(suserelease, "SLE15-SP2");
