#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xafe0b160, "module_layout" },
	{ 0x44b09caf, "drm_gem_cma_dumb_create" },
	{ 0xd2383bc0, "drm_gem_prime_mmap" },
	{ 0x54c211e0, "drm_gem_cma_prime_import_sg_table_vmap" },
	{ 0xe923681f, "drm_gem_prime_fd_to_handle" },
	{ 0x773e0932, "drm_gem_prime_handle_to_fd" },
	{ 0x44f519a1, "drm_cma_gem_create_object_default_funcs" },
	{ 0xb95cdfcd, "drm_release" },
	{ 0xfcc85e5e, "drm_open" },
	{ 0x9291153d, "drm_gem_cma_mmap" },
	{ 0x5b9184cf, "drm_compat_ioctl" },
	{ 0x9ec18806, "drm_ioctl" },
	{ 0x61715719, "drm_poll" },
	{ 0x81095773, "drm_read" },
	{ 0xebabab5b, "noop_llseek" },
	{ 0x116aff76, "drm_gem_fb_simple_display_pipe_prepare_fb" },
	{ 0xbec2fdf6, "drm_atomic_helper_commit" },
	{ 0xbaec0a0a, "drm_atomic_helper_check" },
	{ 0x69119a70, "drm_gem_fb_create_with_dirty" },
	{ 0xc6aefd1e, "driver_unregister" },
	{ 0x48730c59, "__spi_register_driver" },
	{ 0x5053907a, "_dev_err" },
	{ 0x59125c41, "gpiod_get_value_cansleep" },
	{ 0x12a38747, "usleep_range" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x592fc7f2, "drm_crtc_send_vblank_event" },
	{ 0x28b1a488, "__ll_sc___cmpxchg_case_acq_32" },
	{ 0xa0ba3de4, "drm_atomic_helper_damage_merged" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xb6d9d670, "dma_buf_end_cpu_access" },
	{ 0xf222794c, "drm_fb_xrgb8888_to_gray8" },
	{ 0xfad5ffb0, "dma_buf_begin_cpu_access" },
	{ 0xd9d0e254, "thermal_zone_get_temp" },
	{ 0x4ee0fe29, "drm_dev_enter" },
	{ 0x9e2e0413, "drm_fb_cma_get_gem_obj" },
	{ 0xd653b126, "sched_clock" },
	{ 0x5348065a, "thermal_zone_get_zone_by_name" },
	{ 0x5bae48fd, "spi_get_device_id" },
	{ 0xc6974b79, "drm_dev_printk" },
	{ 0x3a52d01c, "drm_fbdev_generic_setup" },
	{ 0x332aad6e, "drm_dev_register" },
	{ 0x3e4cb86d, "drm_mode_config_reset" },
	{ 0x8ba69c62, "tinydrm_display_pipe_init" },
	{ 0xe83f67ef, "devm_kmalloc" },
	{ 0x153213d6, "device_property_read_string" },
	{ 0xc72771fc, "devm_gpiod_get" },
	{ 0xfe0b44f8, "drm_mode_config_init" },
	{ 0xe7378abd, "devm_drm_dev_init" },
	{ 0xfb78228b, "dma_set_coherent_mask" },
	{ 0xa75542f5, "_dev_warn" },
	{ 0xc13b3d51, "dma_set_mask" },
	{ 0xfe9cbe03, "of_match_device" },
	{ 0x615308d0, "drm_dev_fini" },
	{ 0xf251a28b, "drm_mode_config_cleanup" },
	{ 0x34a4640a, "drm_dbg" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8ccecd52, "gpiod_set_value_cansleep" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x66264691, "kmem_cache_alloc_trace" },
	{ 0x5281ba7f, "kmalloc_caches" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x7762f765, "spi_sync" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xb53d15d5, "drm_dev_unplug" },
	{ 0x61d39a2e, "drm_atomic_helper_shutdown" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=drm,drm_kms_helper,tinydrm";

MODULE_ALIAS("spi:e1144cs021");
MODULE_ALIAS("spi:e1190cs021");
MODULE_ALIAS("spi:e2200cs021");
MODULE_ALIAS("spi:e2271cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e1144cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e1144cs021C*");
MODULE_ALIAS("of:N*T*Cpervasive,e1190cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e1190cs021C*");
MODULE_ALIAS("of:N*T*Cpervasive,e2200cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e2200cs021C*");
MODULE_ALIAS("of:N*T*Cpervasive,e2271cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e2271cs021C*");

MODULE_INFO(srcversion, "9157A65FB96C0CC784E15D0");

MODULE_INFO(suserelease, "SLE15-SP2");
